HC256 Struct Reference

HC-256 stream cipher. More...

`#include <hc256.h>`

Inheritance diagram for HC256:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< HC256Policy, AdditiveCipherTemplate<> >, HC256Info > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from HC256Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

HC-256 stream cipher.

HC-256 is a stream cipher developed by Hongjun Wu. HC-256 is the successor to HC-128 from the eSTREAM project.

See also
  The eSTREAM Project | HC-256 and Crypto++ Wiki | HC-128.

Since
  Crypto++ 8.0

Definition at line 61 of file hc256.h.

## Member Typedef Documentation

## Encryption

typedef SymmetricCipherFinal<ConcretePolicyHolder<HC256Policy, AdditiveCipherTemplate<> >, HC256Info> HC256::Encryption

Definition at line 63 of file hc256.h.

## Decryption

typedef Encryption HC256::Decryption

Definition at line 64 of file hc256.h.

The documentation for this struct was generated from the following file:

- hc256.h